Custom Fields
List Custom Fields
List all custom fields defined in your account using the AutoSend API.
GET
/
custom-fields
curl --request GET \
--url https://api.autosend.com/v1/custom-fields \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/custom-fields"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.autosend.com/v1/custom-fields", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/custom-fields", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/custom-fields"))
.header("Authorization", "Bearer <token>")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/custom-fields")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Custom fields retrieved successfully",
"data": {
"customFields": [
{
"id": "69c258bae3e715c0521153fb",
"fieldName": "isVerified",
"fieldType": "boolean",
"createdAt": "2026-03-24T09:26:18.826Z",
"updatedAt": "2026-03-24T09:26:18.826Z"
},
{
"id": "6960953e729f65f154369408",
"fieldName": "company",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:22.171Z",
"updatedAt": "2026-01-09T05:42:22.171Z"
},
{
"id": "69609535729f65f154369402",
"fieldName": "industry",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:13.892Z",
"updatedAt": "2026-01-09T05:42:13.892Z"
}
]
}
}
Deprecated. Custom fields are now called contact properties. This
/custom-fields endpoint still works as an alias, but new integrations should use List Contact Properties.curl --request GET \
--url https://api.autosend.com/v1/custom-fields \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/custom-fields"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.autosend.com/v1/custom-fields", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/custom-fields", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/custom-fields"))
.header("Authorization", "Bearer <token>")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/custom-fields")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Custom fields retrieved successfully",
"data": {
"customFields": [
{
"id": "69c258bae3e715c0521153fb",
"fieldName": "isVerified",
"fieldType": "boolean",
"createdAt": "2026-03-24T09:26:18.826Z",
"updatedAt": "2026-03-24T09:26:18.826Z"
},
{
"id": "6960953e729f65f154369408",
"fieldName": "company",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:22.171Z",
"updatedAt": "2026-01-09T05:42:22.171Z"
},
{
"id": "69609535729f65f154369402",
"fieldName": "industry",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:13.892Z",
"updatedAt": "2026-01-09T05:42:13.892Z"
}
]
}
}
Authorizations
string | header
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Query Parameters
boolean
Whether to include built-in reserved fields (email, firstName, lastName, createdAt, userId) in the response. Defaults to
true.Response
Custom fields retrieved successfullyboolean
Indicates whether the request was successful.
string
Confirmation message.Example:
"Custom fields retrieved successfully"object
Show data
Show data
array
Array of custom field objects.
Was this page helpful?
⌘I
curl --request GET \
--url https://api.autosend.com/v1/custom-fields \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/custom-fields"
headers = {
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.autosend.com/v1/custom-fields", {
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
});
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/custom-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.autosend.com/v1/custom-fields", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/custom-fields"))
.header("Authorization", "Bearer <token>")
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/custom-fields")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Custom fields retrieved successfully",
"data": {
"customFields": [
{
"id": "69c258bae3e715c0521153fb",
"fieldName": "isVerified",
"fieldType": "boolean",
"createdAt": "2026-03-24T09:26:18.826Z",
"updatedAt": "2026-03-24T09:26:18.826Z"
},
{
"id": "6960953e729f65f154369408",
"fieldName": "company",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:22.171Z",
"updatedAt": "2026-01-09T05:42:22.171Z"
},
{
"id": "69609535729f65f154369402",
"fieldName": "industry",
"fieldType": "string",
"createdAt": "2026-01-09T05:42:13.892Z",
"updatedAt": "2026-01-09T05:42:13.892Z"
}
]
}
}